* {
    margin: 0;
    padding: 0;
}

.header {
    background: gray;
    height: 60px;
}

.wrapper {
    display: grid;
    grid-template-columns: 2fr 2fr 1fr;
    grid-auto-rows: 243px;
    margin: 10px 0px 10px 0px;

}

.box-1 {
    background: red;
    grid-column: 1/3;
    grid-row: 1/2;
}

.box-2 {
    background: orange;
    grid-column: 1/3;
    grid-row: 2/3;
}

.box-3 {
    background: yellow;
    grid-column: 3;
    grid-row: 1/3;
}

.footer {
    background: gray;
    height: 60px;
}

@media (max-width:555.56px) {
    /* .wrapper {
        display: block;
    }

   .box-1 {
    height: 160px;
   }

   .box-2 {
       height: 160px;
   }

   .box-3 {
       height: 160px;
   }  */

   .wrapper {
       grid-template-columns: 1fr 1fr 1fr;grid-template-rows: 158px 158px 158px;
    }
    
    .box-1 {
        grid-column: 1/4;
        grid-row: 1;
    }
    
    .box-2 {
        grid-row: 2;
        grid-column: 1/4;
    }
    
    .box-3 {
        grid-column: 1/4;
        grid-row: 3;
    }

}

@media  (min-width: 556px) and (max-width: 1024px) {
    .wrapper {
        grid-template-columns: 1fr 1fr 2fr;
    }
    
}